메인 콘텐츠로 건너뛰기

사용 가능 모델

OrcaRouter는 11개의 업스트림 프로바이더로 라우팅합니다. 모델은 프로바이더 접두사 ID로 주소가 지정됩니다:
접두사프로바이더예시 (실시간 카탈로그는 /v1/models 호출)
openai/OpenAIopenai/gpt-4o-mini, openai/gpt-5, openai/o3-mini, openai/gpt-image-1, openai/tts-1
anthropic/Anthropicanthropic/claude-sonnet-4.6, anthropic/claude-opus-4.7
google/Google Geminigoogle/gemini-2.5-flash, google/gemini-3-pro-preview, google/imagen-4.0-generate-001
deepseek/DeepSeekdeepseek/deepseek-chat, deepseek/deepseek-reasoner
grok/xAI Grokgrok/grok-4-fast-reasoning, grok/grok-imagine-image
qwen/Alibaba Qwenqwen/qwen3.6-plus, qwen/qwen3-vl-235b-a22b-thinking, qwen/qwen3-max
kimi/Moonshot Kimikimi/kimi-k2.5, kimi/kimi-k2.6
minimax/MiniMaxminimax/minimax-m2.7, minimax/minimax-m2.5-highspeed
z-ai/Z.ai (GLM)z-ai/glm-5.1, z-ai/glm-5, z-ai/glm-4.7, z-ai/glm-4.6, z-ai/glm-4.5, z-ai/glm-4.5-air
kling/Kling (비디오)kling/kling-v3-omni, kling/kling-v2-6Kling 비디오 참조
byteplus/ByteDance Seedance (비디오)byteplus/dreamina-seedance-2-0-260128Seedance 비디오 참조
프로바이더 자체 API로 호출할 수 있는 모델은 모두 접두사가 붙은 ID로 OrcaRouter에서 호출할 수 있습니다. 카탈로그는 각 업스트림이 공개하는 것과 정확히 일치합니다.

프로그램으로 모든 모델 나열

curl https://api.orcarouter.ai/v1/models \
  -H "Authorization: Bearer sk-orca-..."

응답 형식

{
  "object": "list",
  "data": [
    {
      "id": "openai/gpt-4o",
      "object": "model",
      "created": 1626777600,
      "owned_by": "openai",
      "supported_endpoint_types": ["openai"]
    },
    {
      "id": "anthropic/claude-sonnet-4.6",
      "object": "model",
      "owned_by": "anthropic",
      "supported_endpoint_types": ["anthropic", "openai"]
    }
  ]
}
이 목록에는 계정이 접근 가능하고 가격 비율이 구성된 모델만 포함 됩니다. 완전한 엔드포인트 사양은 API 참조 / Models 를 참조하세요.

단일 모델 가져오기

curl https://api.orcarouter.ai/v1/models/openai/gpt-4o-mini \
  -H "Authorization: Bearer sk-orca-..."

명명 규칙

OrcaRouter의 모델 ID는 기본적으로 프로바이더 접두사가 붙습니다. 접두사로 인해 요청이 단말을 떠나기 전부터 어느 프로바이더가 호출을 처리할지(그리고 클라이언트 측 로그에서) 명확합니다. 관리자가 채널 별칭을 구성한 경우 업스트림의 베어 이름(예: gpt-4o-mini)도 작동할 수 있지만, /v1/models의 기본 목록은 항상 접두사 형식을 사용합니다 — 접두사 이름으로 작성된 코드는 배포 간에 이식 가능합니다.

기능별 선택

필요한 것추천
가장 저렴한 채팅openai/gpt-4o-mini, google/gemini-2.5-flash-lite
가장 강력한 추론openai/o3-mini-high, openai/gpt-5-pro, anthropic/claude-opus-4.7
긴 컨텍스트 + 저렴google/gemini-2.5-flash
내장 웹 검색openai/gpt-4o-search-preview(Chat Completions), 또는 /v1/responses에서 모든 Grok 모델에 web_search 도구 — 웹 검색 참조
비전 입력openai/gpt-4o-mini, google/gemini-2.5-flash, grok/grok-4-fast-reasoning
이미지 생성openai/gpt-image-1-mini, google/imagen-4.0-fast-generate-001, grok/grok-imagine-image
자동으로 가장 저렴 선택orcarouter/auto자동 라우터 참조
비디오 생성kling/kling-v3-omni, kling/kling-v3Kling 비디오 참조